+++
pkgName = "plugin-repo-lib-vds-en"
pkgTitle = "Repo Lib VDS Plugin"
pkgLanguage = ["en",]
pkgType = "plugin"
pkgVersionNo = 1
date = 2017-07-31
author = "DocLab"
+++



## What it is

This boxxd holds the _Plugin Repo Lib VDS_.

The plugin contains the pre-configured Value Domain Stack (VDS) directories, zipped, in the Library, ready to be copied over to a target directory.

### What's inside

In the *myBoxxd* directory there are the following directories:

* .help - which holds a description of the package
* .wiring - which holds information about this package.
* Library -> Templates -> Directory -> Value-Domains

and the files for the regular and short form names:

* vds-regular-form-with-vdm-structure.zip
* vds-short-form-with-vdm-structure.zip



---

## Use

### Installation

The file is zipped and needs to be installed.

* Decide on which VDS naming system you want to use - regular or short.
* Download the specific zip file to your disk.
* Select the file with your file manager and extract the directories to the directory where you want to work. This is typically _Works_ or _Items_ (for finished products).
* Delete the downloaded file.

You might want to / need to integrate the help file into the main help. The file path to be integrated into the main help file is
`en/plugin/repo-lib-vds.html`

That’s it.



### Cheat Sheet

The enclosed help file has an overview of the Value Domains naming structure.


---

### Warnings

- none -

---

## Support

### Important links

[General support](http://www.boxxd.org/support)
[Documentation](http://www.boxxd.org/doc)
[Packages to download](http://www.boxxd.org/download)

---

### Questions and answers


_Q: Is it available in another languages?_

A: If you are looking for this package in another language, check the packages to download.

If you cannot find one, please send us your translated version, and if possible the translated *help* file to [DocLab@boxxd.org](mailto:DocLab@boxxd.org).

---

_Q: What's the funny stuff at the top?_

A: At the top of the page there are a couple of lines holding information in a simple form about this file. There purpose is to inform you and the boxxd software what this file is about.

The lines with the plus signs show the start and end of the details.

---

_Q: Who made this?_

A: This package was brought to you from the folks and community at [boxxd.org](http://www.boxxd.org).

    +-+-+-+-+-+
    |B|O|X|X|D|
    +-+-+-+-+-+

---

_Q: Where can I send feedback?_

A: Please send it per email to  [support@boxxd.org](mailto:support@boxxd.org).

---

_Q: Can I modify it and share it?_

Yes. The package is licensed under the Apache License, Version 2.0.

Details of the license can be read in the [LICENSE.md](LICENSE.md) file.

---

Copyright 2017 Boxxd. http://boxxd.org.
